local AL = LibStub("AceLocale-3.0")

local silent = true

local L = AL:GetLocale("DXE")
if not L then
    local L = AL:NewLocale("DXE", "enUS", true, silent)
end

if L then
	-- Chat triggers
	local chat_BlackrockFoundry = AL:NewLocale("DXE Chat BlackrockFoundry", "enUS", true, silent)
	AL:GetLocale("DXE").chat_BlackrockFoundry = AL:GetLocale("DXE Chat BlackrockFoundry")
	-- NPC names
	local npc_BlackrockFoundry = AL:NewLocale("DXE NPC BlackrockFoundry", "enUS", true, silent)
	AL:GetLocale("DXE").npc_BlackrockFoundry = AL:GetLocale("DXE NPC BlackrockFoundry")
	if GetLocale() == "enUS" or GetLocale() == "enGB" then return end
end

local L = AL:NewLocale("DXE", "ruRU")
if L then
	-- Chat triggers
	local chat_BlackrockFoundry = AL:NewLocale("DXE Chat BlackrockFoundry", "ruRU")
	
	-- Oregorger
	--chat_BlackrockFoundry["(Oregorger has gone insane from hunger!)"] = ""
	-- Thogar
	chat_BlackrockFoundry["Lane"] = "Путь"
	--chat_BlackrockFoundry["Adds train"] = ""
	--chat_BlackrockFoundry["Big add train"] = ""
	--chat_BlackrockFoundry["Cannon train"] = ""
	--chat_BlackrockFoundry["Random trains"] = ""
	
	AL:GetLocale("DXE").chat_BlackrockFoundry = AL:GetLocale("DXE Chat BlackrockFoundry")
	
	-- NPC names
	local npc_BlackrockFoundry = AL:NewLocale("DXE NPC BlackrockFoundry", "ruRU")
	
	npc_BlackrockFoundry["Blackhand"] = "Чернорук"
	npc_BlackrockFoundry["Darmac"] = "Дармак Повелитель Зверей"
	npc_BlackrockFoundry["Gruul"] = "Груул"
	npc_BlackrockFoundry["Hansgar and Franzok"] = "Ганс'гар и Франзок"
	npc_BlackrockFoundry["Kagraz"] = "Ка'граз Пламенная"
	npc_BlackrockFoundry["Kromog"] = "Кромог"
	npc_BlackrockFoundry["Oregorger"] = "Рудожуй"
	npc_BlackrockFoundry["The Blast Furnace"] = "Горнило"
	npc_BlackrockFoundry["The Iron Maidens"] = "Железные леди"
	npc_BlackrockFoundry["Thogar"] = "Оператор Тогар"

	AL:GetLocale("DXE").npc_BlackrockFoundry = AL:GetLocale("DXE NPC BlackrockFoundry")
	return
end

local L = AL:NewLocale("DXE", "zhCN")
if L then
	-- Chat triggers
	local chat_BlackrockFoundry = AL:NewLocale("DXE Chat BlackrockFoundry", "zhCN")
	
	-- Oregorger
	chat_BlackrockFoundry["(Oregorger has gone insane from hunger!)"] = "(奥尔高格饿了，他要吃更多的黑石矿石！)"
	-- The Iron Maidens
	chat_BlackrockFoundry["(prepares to man the Dreadnaught's Main Cannon!)"] = "(准备)"
	-- Thogar
	chat_BlackrockFoundry["Lane"] = "轨道"
	chat_BlackrockFoundry["Adds train"] = "火车增援"
	chat_BlackrockFoundry["Big add train"] = "大型火车增援"
	chat_BlackrockFoundry["Cannon train"] = "火炮火车"
	chat_BlackrockFoundry["Random trains"] = "随机火车"

	
	AL:GetLocale("DXE").chat_BlackrockFoundry = AL:GetLocale("DXE Chat BlackrockFoundry")
	
	-- NPC names
	local npc_BlackrockFoundry = AL:NewLocale("DXE NPC BlackrockFoundry", "zhCN")


	AL:GetLocale("DXE").npc_BlackrockFoundry = AL:GetLocale("DXE NPC BlackrockFoundry")
	return
end